Bug 197506 - wine cant be installed because of broken deps
wine cant be installed because of broken deps
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 08:21 EDT by drago01
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-04 13:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description drago01 2006-07-03 08:21:30 EDT
Description of problem:
wine cant be installed/updated because of broken deps

Version-Release number of selected component (if applicable):

0.9.16-1.fc5
How reproducible:
yum install wine wine-tools
or just yum install wine

Steps to Reproduce:
1. try to install or update wine
2. see dep erros
  
Actual results:
yum install wine wine-tools
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
livna                                                                [1/4]
core                                                                 [2/4]
updates                                                              [3/4]
extras                                                               [4/4]
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package wine.i386 0:0.9.16-1.fc5 set to be updated
---> Package wine-tools.i386 0:0.9.16-1.fc5 set to be updated
--> Running transaction check
--> Processing Dependency: wine-capi = 0.9.16-1.fc5 for package: wine
--> Processing Dependency: wine-jack = 0.9.16-1.fc5 for package: wine
--> Processing Dependency: wine-nas = 0.9.16-1.fc5 for package: wine
--> Processing Dependency: libwine.so.1(WINE_1.0) for package: wine-tools
--> Processing Dependency: wine-esd = 0.9.16-1.fc5 for package: wine
--> Processing Dependency: wine-core = 0.9.16-1.fc5 for package: wine
--> Processing Dependency: wine-core = 0.9.16-1.fc5 for package: wine-tools
--> Processing Dependency: wine-twain = 0.9.16-1.fc5 for package: wine
--> Processing Dependency: wine-ldap = 0.9.16-1.fc5 for package: wine
--> Processing Dependency: wine-cms = 0.9.16-1.fc5 for package: wine
--> Processing Dependency: libwine.so.1 for package: wine-tools
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package wine-jack.i386 0:0.9.16-1.fc5 set to be updated
---> Package wine-nas.i386 0:0.9.16-1.fc5 set to be updated
---> Package wine-cms.i386 0:0.9.16-1.fc5 set to be updated
---> Package wine-ldap.i386 0:0.9.16-1.fc5 set to be updated
---> Package wine-capi.i386 0:0.9.16-1.fc5 set to be updated
---> Package wine-esd.i386 0:0.9.16-1.fc5 set to be updated
---> Package wine-twain.i386 0:0.9.16-1.fc5 set to be updated
--> Running transaction check
--> Processing Dependency: libwine.so.1(WINE_1.0) for package: wine-cms
--> Processing Dependency: wine-core = 0.9.16-1.fc5 for package: wine-esd
--> Processing Dependency: wine-core = 0.9.16-1.fc5 for package: wine-twain
--> Processing Dependency: wine-core = 0.9.16-1.fc5 for package: wine-capi
--> Processing Dependency: wine-core = 0.9.16-1.fc5 for package: wine-tools
--> Processing Dependency: libwine_unicode.so.1 for package: wine-jack
--> Processing Dependency: libwine_unicode.so.1 for package: wine-nas
--> Processing Dependency: wine-core = 0.9.16-1.fc5 for package: wine-jack
--> Processing Dependency: libwine.so.1 for package: wine-cms
--> Processing Dependency: libwine.so.1(WINE_1.0) for package: wine-jack
--> Processing Dependency: libwine.so.1 for package: wine-tools
--> Processing Dependency: libwine.so.1 for package: wine-jack
--> Processing Dependency: libwine.so.1(WINE_1.0) for package: wine-tools
--> Processing Dependency: libwine.so.1(WINE_1.0) for package: wine-twain
--> Processing Dependency: libwine.so.1 for package: wine-esd
--> Processing Dependency: libwine.so.1(WINE_1.0) for package: wine-ldap
--> Processing Dependency: libwine.so.1 for package: wine-twain
--> Processing Dependency: libwine.so.1(WINE_1.0) for package: wine-esd
--> Processing Dependency: libwine.so.1 for package: wine-ldap
--> Processing Dependency: wine-core = 0.9.16-1.fc5 for package: wine-ldap
--> Processing Dependency: libwine.so.1(WINE_1.0) for package: wine-capi
--> Processing Dependency: wine-core = 0.9.16-1.fc5 for package: wine-nas
--> Processing Dependency: libwine.so.1 for package: wine-capi
--> Processing Dependency: wine-core = 0.9.16-1.fc5 for package: wine-cms
--> Processing Dependency: wine-core = 0.9.16-1.fc5 for package: wine
--> Processing Dependency: libwine.so.1(WINE_1.0) for package: wine-nas
--> Processing Dependency: libwine.so.1 for package: wine-nas
--> Finished Dependency Resolution
Error: Missing Dependency: libwine.so.1(WINE_1.0) is needed by package wine-tools
Error: Missing Dependency: wine-core = 0.9.16-1.fc5 is needed by package wine
Error: Missing Dependency: wine-core = 0.9.16-1.fc5 is needed by package wine-tools
Error: Missing Dependency: libwine.so.1 is needed by package wine-tools
Error: Missing Dependency: libwine.so.1(WINE_1.0) is needed by package wine-cms
Error: Missing Dependency: wine-core = 0.9.16-1.fc5 is needed by package wine-esd
Error: Missing Dependency: wine-core = 0.9.16-1.fc5 is needed by package wine-twain
Error: Missing Dependency: wine-core = 0.9.16-1.fc5 is needed by package wine-capi
Error: Missing Dependency: libwine_unicode.so.1 is needed by package wine-jack
Error: Missing Dependency: libwine_unicode.so.1 is needed by package wine-nas
Error: Missing Dependency: wine-core = 0.9.16-1.fc5 is needed by package wine-jack
Error: Missing Dependency: libwine.so.1 is needed by package wine-cms
Error: Missing Dependency: libwine.so.1(WINE_1.0) is needed by package
wine-jackError: Missing Dependency: libwine.so.1 is needed by package wine-jack
Error: Missing Dependency: libwine.so.1(WINE_1.0) is needed by package wine-twain
Error: Missing Dependency: libwine.so.1 is needed by package wine-esd
Error: Missing Dependency: libwine.so.1(WINE_1.0) is needed by package
wine-ldapError: Missing Dependency: libwine.so.1 is needed by package wine-twain
Error: Missing Dependency: libwine.so.1(WINE_1.0) is needed by package wine-esd
Error: Missing Dependency: libwine.so.1 is needed by package wine-ldap
Error: Missing Dependency: wine-core = 0.9.16-1.fc5 is needed by package wine-ldap
Error: Missing Dependency: libwine.so.1(WINE_1.0) is needed by package
wine-capiError: Missing Dependency: wine-core = 0.9.16-1.fc5 is needed by
package wine-nas
Error: Missing Dependency: libwine.so.1 is needed by package wine-capi
Error: Missing Dependency: wine-core = 0.9.16-1.fc5 is needed by package wine-cms
Error: Missing Dependency: libwine.so.1(WINE_1.0) is needed by package wine-nas
Error: Missing Dependency: libwine.so.1 is needed by package wine-nas



Expected results:


Additional info:
Comment 1 Andreas Bierfert 2006-07-04 05:35:02 EDT
Hm this is somewhat strange. Could you please give me some more info like: rpm
-qa | grep wine or such? Thanks.
Comment 2 Michael Schwendt 2006-07-04 07:45:22 EDT
I think this is NOTABUG/WORKSFORME, and "Hardware: All" is not true.

On x86_64, wine-core.386 was not copied into the repository since
nobody was informed about it being necessary. The broken deps report
caught it, however, and I added wine-core to the push script shortly
after the build report appeared on the mailing-list. Effectively,
there was only a tiny window during which wine-core.i386 was missing
for x86_64.
Comment 3 Andreas Bierfert 2006-07-04 13:39:05 EDT
Hm thanks for the heads up Michael... did not know that the push script needed
to be modified (Marked for the future :)). That actually makes sense then and is
a NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.